Bug 135276 - Rename MAC_LONG_PRESS feature flag to LONG_MOUSE_PRESS.
Summary: Rename MAC_LONG_PRESS feature flag to LONG_MOUSE_PRESS.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: UI Events (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Other
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 135257 135476
  Show dependency treegraph
 
Reported: 2014-07-24 18:35 PDT by Peyton Randolph
Modified: 2014-08-05 12:53 PDT (History)
6 users (show)

See Also:


Attachments
Patch (30.74 KB, patch)
2014-07-24 18:44 PDT, Peyton Randolph
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-12 for mac-mountainlion-wk2 (534.85 KB, application/zip)
2014-07-24 21:54 PDT, Build Bot
no flags Details
LONG_MOUSE_PRESS (30.33 KB, patch)
2014-07-25 15:57 PDT, Peyton Randolph
no flags Details | Formatted Diff | Diff
Patch (31.18 KB, patch)
2014-08-05 11:49 PDT, Peyton Randolph
no flags Details | Formatted Diff | Diff
Patch (30.85 KB, patch)
2014-08-05 12:14 PDT, Peyton Randolph
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peyton Randolph 2014-07-24 18:35:18 PDT
I'd like to rename the MAC_LONG_PRESS feature flag to LONG_PRESS as other platforms may want a long-press gesture.
Comment 1 Peyton Randolph 2014-07-24 18:44:54 PDT
Created attachment 235486 [details]
Patch
Comment 2 Simon Fraser (smfr) 2014-07-24 18:53:24 PDT
I think we decided on LONG_MOUSE_PRESS.
Comment 3 Build Bot 2014-07-24 21:53:58 PDT
Comment on attachment 235486 [details]
Patch

Attachment 235486 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/5277886441324544

New failing tests:
media/track/add-and-remove-track.html
Comment 4 Build Bot 2014-07-24 21:54:01 PDT
Created attachment 235499 [details]
Archive of layout-test-results from webkit-ews-12 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-12  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 5 Peyton Randolph 2014-07-25 15:57:57 PDT
Created attachment 235548 [details]
LONG_MOUSE_PRESS
Comment 6 Peyton Randolph 2014-08-05 11:49:23 PDT
Created attachment 236041 [details]
Patch
Comment 7 WebKit Commit Bot 2014-08-05 12:03:06 PDT
Comment on attachment 236041 [details]
Patch

Rejecting attachment 236041 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-02', 'validate-changelog', '--check-oops', '--non-interactive', 236041, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

ChangeLog entry in Source/JavaScriptCore/ChangeLog is not at the top of the file.

Full output: http://webkit-queues.appspot.com/results/5422742669099008
Comment 8 Peyton Randolph 2014-08-05 12:14:13 PDT
Created attachment 236042 [details]
Patch
Comment 9 WebKit Commit Bot 2014-08-05 12:53:24 PDT
Comment on attachment 236042 [details]
Patch

Clearing flags on attachment: 236042

Committed r172048: <http://trac.webkit.org/changeset/172048>
Comment 10 WebKit Commit Bot 2014-08-05 12:53:29 PDT
All reviewed patches have been landed.  Closing bug.